[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.Log

Log a message to the system log.

## Declaration

Source position: line 0

`public procedure TEventLog.Log(`
`EventType: TEventType;`
`const Msg: string`
`); overload; procedure TEventLog.Log(`
`EventType: TEventType;`
`const Fmt: string;`
`Args: array of Const`
`); overload; procedure TEventLog.Log(`
`const Msg: string`
`); overload; procedure TEventLog.Log(`
`const Fmt: string;`
`Args: array of Const`
`); overload;`

## Arguments

`EventType` |  | Event type to use.
`Msg` |  | Complete log message

## Arguments

`EventType` |  | Event type to use.
`Fmt` |  | Format string for Args
`Args` |  | Arguments to be formatted with Fmt

## Arguments

`Msg` |  | Complete log message

## Arguments

`Fmt` |  | Format string for Args
`Args` |  | Arguments to be formatted with Fmt

## Description

Log sends a log message to the system log. The message is either the parameter Msg as is, or is formatted from the Fmt and Args parameters. If EventType is specified, then it is used as the message event type. If EventType is omitted, then the event type is determined from DefaultEventType.

If EventType is etCustom, then the OnGetCustomEvent, OnGetCustomEventID and OnGetCustomCategory.

The other logging calls: Info, Warning, Error and Debug use the Log call to do the actual work.

## See also

Info |  | Log an informational message
Warning |  | Log a warning message.
Error |  | Log an error message to
Debug |  | Log a debug message
OnGetCustomEvent |  | Event to retrieve custom event Code
OnGetCustomEventID |  | Event to retrieve custom event ID
OnGetCustomCategory |  | Event to retrieve custom message category

Documentation generated on: Feb 26 2014